Bug 100995 - Toolbar icons display incorrect zoom factor and pixellation on OSX Sierra HiDPI
Summary: Toolbar icons display incorrect zoom factor and pixellation on OSX Sierra HiDPI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 105480 (view as bug list)
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2016-07-18 22:11 UTC by Gerald
Modified: 2018-01-25 03:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (4.37 MB, image/png)
2016-07-21 00:31 UTC, swrobel
Details
Screenshot 2 (1.67 MB, image/png)
2016-09-21 16:11 UTC, swrobel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald 2016-07-18 22:11:50 UTC
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12) AppleWebKit/602.1.38 (KHTML, like Gecko) Version/10.0 Safari/602.1.38
Build Identifier: LibreOffice 5.1.4.2

All Toolbar-/Sidebar-Icons are distorted and cut off.

Reproducible: Always

Steps to Reproduce:
1. Start LO
2. Crete - Writer Document
3.
Actual Results:  
See details

Expected Results:  
Show the right icons ;-)

[Information automatically included from LibreOffice]
Locale: de
Module: TextDocument
[Information guessed from browser]
OS: Mac OS X (All) 
Actually 16A238m
OS is 64bit: no


Reset User Profile?No
Comment 1 Alex Thurgood 2016-07-19 10:35:24 UTC
Until we have a QA member or dev that has access to Sierra, this bug can not be confirmed.

Can you at least provide a screenshot, so we can see what it looks like ?

setting needinfo
Comment 2 swrobel 2016-07-21 00:31:19 UTC
Created attachment 126335 [details]
Screenshot

LibreOffice 5.2.0.2 on MacOS Sierra Public Beta
Comment 3 Alex Thurgood 2016-08-31 13:01:35 UTC
Until a QA member or dev has access to Sierra and is able to test a build on that, this bug will remain in the UNCONFIRMED state
Comment 4 Alex Thurgood 2016-08-31 14:19:48 UTC
Three separate reports now, confirming
Comment 5 Yousuf Philips (jay) (retired) 2016-08-31 18:41:14 UTC
From the screenshot in comment 2, i would guess that there is a problem with the hidpi rescaling, so CCing Tomaz for his thoughts.

On a different note, the screenshot also shows that the document area hasnt been rendered, so parts of the start center are showing in that area. Or was the screenshot taken during the time it was transitioning from start center to writer?
Comment 6 steve -_- 2016-09-21 15:51:10 UTC
Cannot confirm or worksforme.

Is this persisting with final 10.12 release and LO master?

Version: 5.3.0.0.alpha0+
Build ID: 673b436c3592c5747f3dce4947168d6fa3ba45ea
CPU Threads: 4; OS Version: Mac OS X 10.12; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-09-07_06:51:27
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 swrobel 2016-09-21 16:10:20 UTC
I just tested on two Macs with the final release of macOS 10.12 (16A323) that came out yesterday, and LibreOffice 5.2.1.2

1) Retina MacBook 13" (Late 2012) - no issues
2) iMac 5K (Late 2015) - same issue described earlier. This is the machine I've been having the problem on. I've attached another screenshot. It just freezes shortly after opening a new document and gets an endless spinning beachball until I force quit.
Comment 8 swrobel 2016-09-21 16:11:04 UTC
Created attachment 127523 [details]
Screenshot 2
Comment 9 papuc5 2016-09-22 08:04:28 UTC
Same issue as described by swrobel. Also a late 2015 iMac 5k.
Comment 10 Alex Thurgood 2016-09-22 11:12:39 UTC
(In reply to swrobel from comment #7)
> I just tested on two Macs with the final release of macOS 10.12 (16A323)
> that came out yesterday, and LibreOffice 5.2.1.2
> 
> 1) Retina MacBook 13" (Late 2012) - no issues
> 2) iMac 5K (Late 2015) - same issue described earlier. This is the machine
> I've been having the problem on. I've attached another screenshot. It just
> freezes shortly after opening a new document and gets an endless spinning
> beachball until I force quit.

@swrobel : the iMac 5K crashing issue is bug 100994
Comment 11 Alex Thurgood 2016-09-22 11:15:16 UTC
Setting to new, given duplicate reports by other users
Comment 12 Yousuf Philips (jay) (retired) 2016-09-22 16:45:17 UTC
@swrobel, @papuc5: Can you try lower resolutions and see which resolution does this problem begin with.
Comment 13 Yousuf Philips (jay) (retired) 2016-09-22 16:46:51 UTC
@Gerald, @swrobel, @papuc5: Can you try lower resolutions and see which resolution does this problem begin with.
Comment 14 papuc5 2016-09-23 09:35:29 UTC
The problem persists on resolutions which "look like" 1600x900, 2048x1152, 2560x1440. Haven't tried higher ones.
Comment 15 tanel 2016-09-27 10:30:49 UTC
MacBook Pro (13-inch, Early 2011)
Intel HD Graphics 3000 384 MB
LO 5 several versions up to 5.2.1
MacOS Sierra production version.

Works fine on internal screen 1280x800, but spoiled icons and freeze on external screen running at 2560x1440. When window is first opened on internal display and then moved to external screen, everything works fine until trying to resize the window. 
Does not work when displays are mirrored and both at 1280x800.

Seems to go hand in hand with Bug 100994 as broken icons result in freezing and malloc error displayed in Terminal window.
Comment 16 tanel 2016-10-17 08:58:45 UTC
Changing the color profile of the display as suggested in Bug 100994 affects the icons too. The ones that doesn't crash LO show correct icons.
Comment 17 Alex Thurgood 2017-01-24 08:49:57 UTC
*** Bug 105480 has been marked as a duplicate of this bug. ***
Comment 18 QA Administrators 2018-01-25 03:28:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug